class AudioConfirmation < ApplicationRecord
  belongs_to :video

  validates :time_elapsed, presence: true
  validates :confirmation_type, :inclusion => { :in => ["original_music", "library_music"] }

  scope :original, -> { where(confirmation_type: "original_music") }

  def appears_at
    Timecode.from_seconds(time_elapsed.to_f).to_s
  end

  def presented_source_file_name
    case (confirmation_type)
    when "original_music"
      "(O) #{source_file_name}"
    when "library_music"
      "(L) #{source_file_name}"
    end
  end

  def confirmation_type_library?
    confirmation_type == "library_music"
  end
end
